org.apache.ode.bpel.evt

## Class CorrelationNoMatchEvent

- java.lang.Object
- - org.apache.ode.bpel.evt.BpelEvent
  - - org.apache.ode.bpel.evt.ProcessEvent
    - - org.apache.ode.bpel.evt.CorrelationEvent
      - - org.apache.ode.bpel.evt.CorrelationNoMatchEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class CorrelationNoMatchEvent
      extends CorrelationEvent

  Message arrived and matched neither (a) createInstance or (b) correlation match
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ode.bpel.evt.BpelEvent

      `BpelEvent.TYPE`

  - ### Field Summary

    - ### Fields inherited from class org.apache.ode.bpel.evt.BpelEvent

      `eventContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CorrelationNoMatchEvent(javax.xml.namespace.QName qName, java.lang.String opName, java.lang.String mexId, CorrelationKeySet keySet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CorrelationKeySet` | `getKeySet()`
    `void` | `setKeys(CorrelationKeySet keySet)`

    - ### Methods inherited from class org.apache.ode.bpel.evt.CorrelationEvent

      `getMessageExchangeId, getOperation, getPortType, getType, setMexId, setOperation, setPortType`

    - ### Methods inherited from class org.apache.ode.bpel.evt.ProcessEvent

      `getProcessId, getProcessName, setProcessId, setProcessName`

    - ### Methods inherited from class org.apache.ode.bpel.evt.BpelEvent

      `eventName, getLineNo, getTimestamp, setLineNo, setTimestamp, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CorrelationNoMatchEvent

          public CorrelationNoMatchEvent(javax.xml.namespace.QName qName,
                                         java.lang.String opName,
                                         java.lang.String mexId,
                                         CorrelationKeySet keySet)

  - ### Method Detail

    - #### getKeySet

          public CorrelationKeySet getKeySet()

    - #### setKeys

          public void setKeys(CorrelationKeySet keySet)